Skip to main content
POST
/
analyses
curl \
  -X POST \
  -H "Authorization: Bearer $apikey" \
  -H "Content-Type: application/json" \
  -d '{
        "input": {
          "type": "image",
          "content": "iVBORw0KGgoAAAANSUhE....FTkSuQmCC",
          "medium": "desktopWeb",
          "title": "Example"
        },
        "predictions": {
          "attention": { "outputs": ["attentionMap", "perceptionMap"] },
          "clarity": { "outputs": ["score", "map"] }
        }
      }' \
  https://api.eyequant.com/v2/analyses
{
  "id": "611457618c1d4283a830d10a9ad4f8ae",
  "location": "https://api.eyequant.com/v2/analyses/611457618c1d4283a830d10a9ad4f8ae"
}
Create an analysis for an image or a web page URL. The request returns immediately with 201 Created, the new analysis id, and a location URL (also returned in the Location response header). Poll Get an analysis with the returned id to retrieve the result. For the underlying concepts, see the Input model and Predictions model.
input
object
required
The input to analyze.
predictions
object
Which predictions to run and which outputs to return. Defaults to { "attention": { "outputs": ["attentionMap"] } }.
id
string
The id of the new analysis. Use it to poll for results.
location
string
The URL where the analysis result can be retrieved (also returned in the Location header).
curl \
  -X POST \
  -H "Authorization: Bearer $apikey" \
  -H "Content-Type: application/json" \
  -d '{
        "input": {
          "type": "image",
          "content": "iVBORw0KGgoAAAANSUhE....FTkSuQmCC",
          "medium": "desktopWeb",
          "title": "Example"
        },
        "predictions": {
          "attention": { "outputs": ["attentionMap", "perceptionMap"] },
          "clarity": { "outputs": ["score", "map"] }
        }
      }' \
  https://api.eyequant.com/v2/analyses
{
  "id": "611457618c1d4283a830d10a9ad4f8ae",
  "location": "https://api.eyequant.com/v2/analyses/611457618c1d4283a830d10a9ad4f8ae"
}